# DataExchange
TKIGES
IGESGraph

# IGESGraph_Array1OfColor Class Reference

`#include <IGESGraph_Array1OfColor.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESGraph_Array1OfColor (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESGraph_Array1OfColor (const Handle(IGESGraph_Color)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESGraph_Color)&V)
Standard_EXPORT void | Destroy ()
| ~IGESGraph_Array1OfColor ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESGraph_Array1OfColor & | Assign (const IGESGraph_Array1OfColor &Other)
const IGESGraph_Array1OfColor & | operator= (const IGESGraph_Array1OfColor &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESGraph_Color)&Value)
const Handle_IGESGraph_Color & | Value (const Standard_Integer Index) const
const Handle_IGESGraph_Color & | operator() (const Standard_Integer Index) const
Handle_IGESGraph_Color & | ChangeValue (const Standard_Integer Index)
Handle_IGESGraph_Color & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESGraph_Array1OfColor (const IGESGraph_Array1OfColor &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_Array1OfColor::IGESGraph_Array1OfColor | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESGraph_Array1OfColor::IGESGraph_Array1OfColor | ( | const Handle(IGESGraph_Color)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESGraph_Array1OfColor::~IGESGraph_Array1OfColor | ( |  | ) | `[inline]`

Standard_EXPORT IGESGraph_Array1OfColor::IGESGraph_Array1OfColor | ( | const IGESGraph_Array1OfColor & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESGraph_Array1OfColor& IGESGraph_Array1OfColor::Assign | ( | const IGESGraph_Array1OfColor & | Other | ) |

Handle_IGESGraph_Color& IGESGraph_Array1OfColor::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESGraph_Array1OfColor::Destroy | ( |  | ) |

Standard_EXPORT void IGESGraph_Array1OfColor::Init | ( | const Handle(IGESGraph_Color)& | V | ) |

Standard_Boolean IGESGraph_Array1OfColor::IsAllocated | ( |  | ) | const

Standard_Integer IGESGraph_Array1OfColor::Length | ( |  | ) | const

Standard_Integer IGESGraph_Array1OfColor::Lower | ( |  | ) | const

void IGESGraph_Array1OfColor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESGraph_Array1OfColor::operator new | ( | size_t | size | ) | `[inline]`

void* IGESGraph_Array1OfColor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESGraph_Color& IGESGraph_Array1OfColor::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESGraph_Color& IGESGraph_Array1OfColor::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESGraph_Array1OfColor& IGESGraph_Array1OfColor::operator= | ( | const IGESGraph_Array1OfColor & | Other | ) | `[inline]`

void IGESGraph_Array1OfColor::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESGraph_Color)& | Value
| ) |

Standard_Integer IGESGraph_Array1OfColor::Upper | ( |  | ) | const

const Handle_IGESGraph_Color& IGESGraph_Array1OfColor::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESGraph_Array1OfColor::isAllocated `[private]`

Standard_Integer IGESGraph_Array1OfColor::myLowerBound `[private]`

Standard_Address IGESGraph_Array1OfColor::myStart `[private]`

Standard_Integer IGESGraph_Array1OfColor::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- IGESGraph_Array1OfColor.hxx